> For a complete page index, fetch https://developer.close.com/llms.txt

# List Sequence Subscriptions

GET https://api.close.com/api/v1/sequence_subscription/

At least one of `sequence_id`, `contact_id`, and `lead_id` is required.

Reference: https://developer.close.com/api/resources/sequences/list-subscriptions

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Query parameters

- `_limit` (integer, optional, default: 100) — Number of results to return.
- `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination.
- `contact_id` (string, optional)
- `lead_id` (string, optional)
- `sequence_id` (string, optional)

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "data": [
    {
      "calls_assigned_to": [
        "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
      ],
      "contact_email": "contact@example.org",
      "contact_id": "cont_DDLGBBQO7jwLmSXVivqm3H5Vd1uavBBQptN4vapC9T9",
      "created_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2022-03-10T14:40:27.442448",
      "date_updated": "2022-03-10T14:40:27.442451",
      "id": "sub_71lcl74wTWvv7Erx6uYWno",
      "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "sender_account_id": "emailacct_0oCdHYhxtl5sV9j3ZwrJI1sUhbOK4FoZjDuTG9I2hej",
      "sender_email": "john@salesteam.com",
      "sender_name": "John Doe",
      "sequence_id": "seq_0aZN3EMlTRBdczaBStSN7D",
      "start_date": null,
      "status": "active",
      "status_reason": null,
      "updated_by_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "has_more": false
}
```

**SDK Code**

```python sequences_listSubscriptions_example
import requests

url = "https://api.close.com/api/v1/sequence_subscription/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript sequences_listSubscriptions_example
const url = 'https://api.close.com/api/v1/sequence_subscription/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go sequences_listSubscriptions_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/sequence_subscription/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby sequences_listSubscriptions_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/sequence_subscription/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java sequences_listSubscriptions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/sequence_subscription/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php sequences_listSubscriptions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/sequence_subscription/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp sequences_listSubscriptions_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/sequence_subscription/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```